HaruFont
HaruImage
HaruFont
PHP Manual

# HaruFont::measureText

(PECL haru:0.0.1)

HaruFont::measureText — Calculate the number of characters which can be included within the specified width

### Description

int HaruFont::measureText ( string `$text` , float `$width` , float `$font_size` , float `$char_space` , float `$word_space` [, bool `$word_wrap` ] )

Calculate the number of characters which can be included within the specified width.

### Parameters

`text`

  The text to fit the width.

`width`

  The width of the area to put the text to.

`font_size`

  The size of the font.

`char_space`

  The character spacing.

`word_space`

  The word spacing.

`word_wrap`

  When this parameter is set to `TRUE` the function "emulates" word wrapping and doesn't include the part of the current word if reached the end of the area. Defaults to `FALSE`.

### Return Values

Returns the number of characters which can be included within the specified width.

### Errors/Exceptions

Throws HaruException on error.

HaruFont
HaruImage
HaruFont
PHP Manual